ChangeSet 1.811.1.8, 2002/12/11 00:38:01-08:00, marekm@amelek.gda.pl

[PATCH] Datafab KECF-USB / Sagatek DCS-CF / Simpletech UCF-100

sorry to bother you again - now that 2.4.20 is out, is there any
chance to include this in 2.4.21?  I've been trying since 2.4.19,
a few other UNUSUAL_DEV entries were added, but not this one...

The device works fine with the patch (and doesn't work at all without
it) for me and a few other people (devices with different "marketing"
names, the same vendor:device id), no one has reported any problems.
The patch has been in the 2.4-ac tree for a while, too.


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Mon Dec 16 16:34:07 2002
+++ b/drivers/usb/storage/unusual_devs.h	Mon Dec 16 16:34:07 2002
@@ -487,6 +487,18 @@
 		US_FL_MODE_XLATE ),
 #endif
 
+/* Datafab KECF-USB / Sagatek DCS-CF / Simpletech Flashlink UCF-100
+ * Only revision 1.13 tested (same for all of the above devices,
+ * based on the Datafab DF-UG-07 chip).  Needed for US_FL_FIX_INQUIRY.
+ * Submitted by Marek Michalkiewicz <marekm@amelek.gda.pl>.
+ * See also http://martin.wilck.bei.t-online.de/#kecf .
+ */
+UNUSUAL_DEV(  0x07c4, 0xa400, 0x0000, 0xffff,
+		"Datafab",
+		"KECF-USB",
+		US_SC_SCSI, US_PR_BULK, NULL,
+		US_FL_FIX_INQUIRY ),
+
 /* Casio QV 2x00/3x00/4000/8000 digital still cameras are not conformant
  * to the USB storage specification in two ways:
  * - They tell us they are using transport protocol CBI. In reality they
